<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('mail_profiles', function (Blueprint $table): void {
            $table->boolean('auto_mailer')->default(false)->after('active');
        });
    }

    public function down(): void
    {
        Schema::table('mail_profiles', function (Blueprint $table): void {
            $table->dropColumn('auto_mailer');
        });
    }
};
